package com.emr.entity.approve;

import java.util.Date;

public class Emr_Apply_Approve {
    private Integer id;

    private String applyer;

    private String applyTime;

    private String returnState;

    public String getReturnState() {
        return returnState;
    }

    public void setReturnState(String returnState) {
        this.returnState = returnState;
    }

    private String effeTime;

    private Integer effeDays;

    private String applyType;

    private String applyReason;

    private String applyState;

    private String approver;

    private String approveTime;

    private String approveState;

    private String approveNotes;

    private String patientId;

    private String admissId;

    private String inpatientNo;

    private Short admissTimes;

    private Date disDate;

    private String name;//接收患者姓名

    private Integer reasonParentId;//原因父集模板id

    private Integer annoParentId;//批注父集模板id

    private Integer addOper;

    private Integer updateOper;

    private Integer deleteOper;

    private Integer lockStatus;

    private String disTime;

    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDisTime() {
        return disTime;
    }

    public void setDisTime(String disTime) {
        this.disTime = disTime;
    }

    public Integer getReasonParentId() {
        return reasonParentId;
    }

    public void setReasonParentId(Integer reasonParentId) {
        this.reasonParentId = reasonParentId;
    }

    public Integer getLockStatus() {
        return lockStatus;
    }

    public void setLockStatus(Integer lockStatus) {
        this.lockStatus = lockStatus;
    }

    public Integer getAddOper() {
        return addOper;
    }

    public void setAddOper(Integer addOper) {
        this.addOper = addOper;
    }

    public Integer getUpdateOper() {
        return updateOper;
    }

    public void setUpdateOper(Integer updateOper) {
        this.updateOper = updateOper;
    }

    public Integer getDeleteOper() {
        return deleteOper;
    }

    public void setDeleteOper(Integer deleteOper) {
        this.deleteOper = deleteOper;
    }

    public Integer getAnnoParentId() {
        return annoParentId;
    }

    public void setAnnoParentId(Integer annoParentId) {
        this.annoParentId = annoParentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getApplyer() {
        return applyer;
    }

    public void setApplyer(String applyer) {
        this.applyer = applyer == null ? null : applyer.trim();
    }

    public String getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(String applyTime) {
        this.applyTime = applyTime == null ? null : applyTime.trim();
    }

    public String getEffeTime() {
        return effeTime;
    }

    public void setEffeTime(String effeTime) {
        this.effeTime = effeTime == null ? null : effeTime.trim();
    }

    public Integer getEffeDays() {
        return effeDays;
    }

    public void setEffeDays(Integer effeDays) {
        this.effeDays = effeDays;
    }

    public String getApplyType() {
        return applyType;
    }

    public void setApplyType(String applyType) {
        this.applyType = applyType == null ? null : applyType.trim();
    }

    public String getApplyReason() {
        return applyReason;
    }

    public void setApplyReason(String applyReason) {
        this.applyReason = applyReason == null ? null : applyReason.trim();
    }

    public String getApplyState() {
        return applyState;
    }

    public void setApplyState(String applyState) {
        this.applyState = applyState == null ? null : applyState.trim();
    }

    public String getApprover() {
        return approver;
    }

    public void setApprover(String approver) {
        this.approver = approver == null ? null : approver.trim();
    }

    public String getApproveTime() {
        return approveTime;
    }

    public void setApproveTime(String approveTime) {
        this.approveTime = approveTime == null ? null : approveTime.trim();
    }

    public String getApproveState() {
        return approveState;
    }

    public void setApproveState(String approveState) {
        this.approveState = approveState == null ? null : approveState.trim();
    }

    public String getApproveNotes() {
        return approveNotes;
    }

    public void setApproveNotes(String approveNotes) {
        this.approveNotes = approveNotes == null ? null : approveNotes.trim();
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId == null ? null : patientId.trim();
    }

    public String getAdmissId() {
        return admissId;
    }

    public void setAdmissId(String admissId) {
        this.admissId = admissId == null ? null : admissId.trim();
    }

    public String getInpatientNo() {
        return inpatientNo;
    }

    public void setInpatientNo(String inpatientNo) {
        this.inpatientNo = inpatientNo == null ? null : inpatientNo.trim();
    }

    public Short getAdmissTimes() {
        return admissTimes;
    }

    public void setAdmissTimes(Short admissTimes) {
        this.admissTimes = admissTimes;
    }

    public Date getDisDate() {
        return disDate;
    }

    public void setDisDate(Date disDate) {
        this.disDate = disDate;
    }

    private String returnName;

    private String returnTime;

    private String returnNameString;

    public String getReturnName() {
        return returnName;
    }

    public void setReturnName(String returnName) {
        this.returnName = returnName;
    }

    public String getReturnTime() {
        return returnTime;
    }

    public void setReturnTime(String returnTime) {
        this.returnTime = returnTime;
    }

    public String getReturnNameString() {
        return returnNameString;
    }

    public void setReturnNameString(String returnNameString) {
        this.returnNameString = returnNameString;
    }
}